# fortios_wireless_controller_hotspot20_h2qp_osu_provider – Configure online sign up (OSU) provider list in Fortinet’s FortiOS and FortiGate

New in version 2.9.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module is able to configure a FortiGate or FortiOS (FOS) device by allowing the user to set and modify wireless_controller_hotspot20 feature and h2qp_osu_provider category. Examples include all parameters and values need to be adjusted to datasources before usage. Tested with FOS v6.0.5

## Requirements

The below requirements are needed on the host that executes this module.

- fortiosapi>=0.9.8

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
host string |  | FortiOS or FortiGate IP address.

https
boolean

Choices:
- no
- yes ←

Indicates if the requests towards FortiGate must use HTTPS protocol.

password string | Default: "" | FortiOS or FortiGate password.

ssl_verify
boolean

Choices:
- no
- yes ←

Ensures FortiGate certificate must be verified by a proper CA.

state
string / required

Choices:
- present
- absent

Indicates whether to create or remove the object.

username string |  | FortiOS or FortiGate username.
vdom string | Default: "root" | Virtual domain, among those defined previously. A vdom is a virtual instance of the FortiGate that can be configured and used as a different unit.
wireless_controller_hotspot20_h2qp_osu_provider dictionary | Default: null | Configure online sign up (OSU) provider list.
| friendly_name list |  | OSU provider friendly name.
|  | friendly_name string |  | OSU provider friendly name.
|  | index integer / required |  | OSU provider friendly name index.
|  | lang string |  | Language code.
| icon string |  | OSU provider icon. Source wireless-controller.hotspot20.icon.name.
| name string / required |  | OSU provider ID.

osu_method
string

Choices:
- oma-dm
- soap-xml-spp
- reserved

OSU method list.

| osu_nai string |  | OSU NAI.
| server_uri string |  | Server URI.
| service_description list |  | OSU service name.
|  | lang string |  | Language code.
|  | service_description string |  | Service description.
|  | service_id integer |  | OSU service ID.

## Notes

Note

- Requires fortiosapi library developed by Fortinet
- Run as a local_action in your playbook

## Examples

    - hosts: localhost
      vars:
       host: "192.168.122.40"
       username: "admin"
       password: ""
       vdom: "root"
       ssl_verify: "False"
      tasks:
      - name: Configure online sign up (OSU) provider list.
        fortios_wireless_controller_hotspot20_h2qp_osu_provider:
          host:  "{{ host }}"
          username: "{{ username }}"
          password: "{{ password }}"
          vdom:  "{{ vdom }}"
          https: "False"
          state: "present"
          wireless_controller_hotspot20_h2qp_osu_provider:
            friendly_name:
             -
                friendly_name: "<your_own_value>"
                index: "5"
                lang: "<your_own_value>"
            icon: "<your_own_value> (source wireless-controller.hotspot20.icon.name)"
            name: "default_name_8"
            osu_method: "oma-dm"
            osu_nai: "<your_own_value>"
            server_uri: "<your_own_value>"
            service_description:
             -
                lang: "<your_own_value>"
                service_description: "<your_own_value>"
                service_id: "15"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
build string | always | Build number of the fortigate image Sample: 1547
http_method string | always | Last method used to provision the content into FortiGate Sample: PUT
http_status string | always | Last result given by FortiGate on last operation applied Sample: 200
mkey string | success | Master key (id) used in the last call to FortiGate Sample: id
name string | always | Name of the table used to fulfill the request Sample: urlfilter
path string | always | Path of the table used to fulfill the request Sample: webfilter
revision string | always | Internal revision number Sample: 17.0.2.10658
serial string | always | Serial number of the unit Sample: FGVMEVYYQT3AB5352
status string | always | Indication of the operation's result Sample: success
vdom string | always | Virtual domain used Sample: root
version string | always | Version of the FortiGate Sample: v5.6.3

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Miguel Angel Munoz (@mamunozgonzalez)
- Nicolas Thomas (@thomnico)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.